﻿$(document).ready(function () {
    $('#quick_menus').dropdown();
    $('.ui.dropdown').dropdown();
    $('.ui.toggle.checkbox').checkbox();
    $('.ui.checkbox').checkbox();
    // 包装形状
    // 非密闭空间类型选择
    $(".fmb_lifangti").hide();
    $(".fmb_yuanzhuti").hide();
    $('.cy_jizhuangxiang_tiji').dropdown({
        onChange: function (value, text) {
            if (value == 1) {
                $(".fmb_lifangti").show();
                $(".fmb_yuanzhuti").hide();
            } else if (value == 2) {
                $(".fmb_lifangti").hide();
                $(".fmb_yuanzhuti").show();
            } else {
                $(".fmb_lifangti").hide();
                $(".fmb_yuanzhuti").hide();
                $("input[name='cy_tiji']").val(value);
            }
        }
    });

    // 计算物品体积和表面积 (立方体)
    $("input[name='fmb_lft_gao']").keyup(function (event) {
        fmb_lft_tiji_jisuan(event);
    });
    $("input[name='fmb_lft_chang']").keyup(function (event) {
        fmb_lft_tiji_jisuan(event);
    });
    $("input[name='fmb_lft_kuan']").keyup(function (event) {
        fmb_lft_tiji_jisuan(event);
    });

    function fmb_lft_tiji_jisuan(e) {
        var gao = useMath.number(useMath.eval($("input[name='fmb_lft_gao']").val() + "+ 0"));
        var chang = useMath.number(useMath.eval($("input[name='fmb_lft_chang']").val() + "+ 0"));
        var kuan = useMath.number(useMath.eval($("input[name='fmb_lft_kuan']").val() + "+ 0"));
        var cp_tiji = kuan * chang * gao;
        $("input[name='cy_tiji']").val(useMath.round(cp_tiji, 5));
    }

    // 计算物品体积和表面积 (圆柱体)
    $("input[name='fmb_yzt_gao']").keyup(function (event) {
        fmb_yzt_tiji_jisuan(event);
    });
    $("input[name='fmb_yzt_zhijing']").keyup(function (event) {
        fmb_lft_tiji_jisuan(event);
    });

    function fmb_yzt_tiji_jisuan(e) {
        var gao = useMath.number(useMath.eval($("input[name='fmb_yzt_gao']").val() + "+ 0"));
        var banjing = useMath.number(useMath.eval($("input[name='fmb_yzt_zhijing']").val() + "/ 2"));
        console.log("banjing: " + banjing);
        var diyuanmianji = useMath.PI * banjing * banjing;
        var diyuanzhouchang = 2 * useMath.PI * banjing * 2;
        var cp_tiji = diyuanmianji * gao;
        console.log(useMath.PI + ", " + banjing + ", " + diyuanmianji + ", " + gao);
        $("input[name='cy_tiji']").val(useMath.round(cp_tiji, 5));
    }


    // 集装箱 包装材质含水率
    $('.cy_baozhuang_hanshuiliang').dropdown({
        onChange: function (value, text) {
            if (value == 0) {
                $("input[name='cy_baozhuang_hanhuilv']").val(0);
                $(".cy_baozhuang_hanhuilv").hide();
                $(".cy_baozhuang_zhongliang").hide();
                return;
            }
            $(".cy_baozhuang_hanhuilv").show();
            $(".cy_baozhuang_zhongliang").show();
            if (value == -1) {
                return;
            }
            var wd, sd = 0;
            console.log(value);
            v = value.split(",")[0];
            $("input[name='cy_baozhuang_hanhuilv']").val(v);
        }
    });

    window.jQuery.ajax({
        async: false,
        url: "../cal/js/cal.cf.js",
        dataType: "script"
    });
    window.jQuery.ajax({
        async: false,
        url: "../cal/js/_mibi.js",
        dataType: "script"
    });


});


// 选择计算方式
function choose_jisuan(v) {
    if (v == "mibi") {
        $('#is_chuyun').hide();
        $('#is_mibi').show();
        $("input[name='is_mibi']").val(true);
        $(".is_mibi").addClass('active');
        $(".not_mibi").removeClass('active');
    } else {
        $('#is_chuyun').show();
        $('#is_mibi').hide();
        $("input[name='is_mibi']").val(false);
        $(".not_mibi").addClass('active');
        $(".is_mibi").removeClass('active');
    }
    $("#jisuan_jieguo").html("");
    $("#debug > p").html("");
    $("#debug").hide();
}

var din;
var user_data;

//  递交输入数据
function submit_form() {
    show_weisheng_form();
    user_data = $('#weisheng_form').serializeJson();
    console.log(user_data);
    din = new Wisepac_din();
    din.config(user_data);
    var v = din.gongshi_value();
    if (v < 0) {
        v = 0;
    }

    var aParams = document.location.search.substr(1).split('&');
    if (aParams[0] == "") {
        Recommended_Desiccant_Unit = '参考干燥剂单位: ';
        Recommended_silca_gel_dosage = '硅胶参考用量: ';
        Recommended_montmorillonite_dosage = '蒙脱石参考用量: ';
        Recommended_molecular_sieve_dosage = '分子筛参考用量: ';
        Recommended_active_mineral_dosage = '活矿参考用量: ';
        Recommended_125g_Gel_dosage = '125g gel 参考用量: ';
        Recommended_Wisecargo_desiccant_blanket_dosage = '除湿毯参考用量: ';
        Advisory_number = '返回结果: ';
    } else {
        Recommended_Desiccant_Unit = 'Recommended Desiccant Unit: ';
        Recommended_silca_gel_dosage = 'Recommended silca gel dosage: ';
        Recommended_montmorillonite_dosage = 'Recommended montmorillonite dosage: ';
        Recommended_molecular_sieve_dosage = 'Recommended molecular sieve dosage: ';
        Recommended_active_mineral_dosage = 'Recommended active mineral dosage: ';
        Recommended_125g_Gel_dosage = 'Recommended 125g Gel dosage: ';
        Recommended_Wisecargo_desiccant_blanket_dosage = 'Recommended Wisecargo desiccant blanket dosage: ';
        Advisory_number = 'return result: ';
    }

    $("#jisuan_jieguo").html('<div class="header">' + Recommended_Desiccant_Unit + useMath.round(v, 3) + '</div>');
   
    if (din.is_mibi == true) {
        // 计算干燥剂用量
        if (user_data["gzj_cailiao['guijiao']"] == "on") {
            $("#jisuan_jieguo").append('<div class="header">' + Recommended_silca_gel_dosage + useMath.round(v * 30, 2) + 'g</div>');
            din.log(Recommended_silca_gel_dosage, useMath.round(v * 30, 2) + "g");
        }
        if (user_data["gzj_cailiao['mengtuoshi']"] == "on") {
            $("#jisuan_jieguo").append('<div class="header">' + Recommended_montmorillonite_dosage + useMath.round(v * 33, 2) + 'g</div>');
            din.log(Recommended_montmorillonite_dosage, useMath.round(v * 33, 2) + 'g');
        }
        if (user_data["gzj_cailiao['fenzishan']"] == "on") {
            $("#jisuan_jieguo").append('<div class="header">' + Recommended_molecular_sieve_dosage + useMath.round(v * 30, 2) + 'g</div>');
            din.log(Recommended_molecular_sieve_dosage, useMath.round(v * 30, 2) + 'g');
        }
    } else {
        // 计算干燥剂用量 (非密闭)
        if (user_data["gzj_cailiao['huokuang']"] == "on") {
            $("#jisuan_jieguo").append('<div class="header">' + Recommended_active_mineral_dosage + useMath.round(v / (biao_huokuang(din.cy_mb_shidu) * 0.01), 2) + 'g</div>');
            din.log(Recommended_active_mineral_dosage, useMath.round(v / (biao_huokuang(din.cy_mb_shidu) * 0.01), 2) + 'g');
        }
        if (user_data["gzj_cailiao['ggel125']"] == "on") {
            $("#jisuan_jieguo").append('<div class="header">' + Recommended_125g_Gel_dosage + useMath.round(v / (biao_ggel125(din.cy_mb_shidu) * 0.01), 2) + 'g</div>');
            din.log(Recommended_125g_Gel_dosage, useMath.round(v / (biao_ggel125(din.cy_mb_shidu) * 0.01), 2) + 'g');
        }
        if (user_data["gzj_cailiao['chushitan']"] == "on") {
            $("#jisuan_jieguo").append('<div class="header">' + Recommended_Wisecargo_desiccant_blanket_dosage + useMath.round(v / (biao_chushitan(din.cy_mb_shidu) * 0.01), 2) + 'g</div>');
            din.log(Recommended_Wisecargo_desiccant_blanket_dosage, useMath.round(v / (biao_chushitan(din.cy_mb_shidu) * 0.01), 2) + 'g');
        }
    }
    //$("#debug").show();
    $("#debug > p").html("<pre>" + din.logger + "</pre>");
    post_server();
}

// 数据传入服务器
function post_server() {

    $.post('server.aspx', { postData: JSON.stringify(user_data), sum: din.logger }, function (result) {
        $("#jisuan_jieguo").append('<div class="header">'  +Advisory_number+ result + '</div>');
    });
   
}

// 校验输入数据
function check_form() {
    //    myIsNaN
}

function show_weisheng_form() {
    console.log(JSON.stringify($('#weisheng_form').serializeJson()));
}

// 活矿吸湿表
var biao_huokuang = function (shidu) {
    var sd;
    if ((shidu >= 100) || (shidu === 0)) {
        this.console_log("biao_huokuang: Warning! shidu more then 1 OR is Zero!");
        return 0;
    }
    sd = mathNumberRound(shidu * 0.01, 2);
    switch (false) {
        case !(sd <= 0.2):
            return mathNumberRound(9.00 * (1 * (sd / 0.2)), 2);
        case !(sd <= 0.3):
            return mathNumberRound(16.00 * (1 * (sd / 0.3)), 2);
        case !(sd <= 0.4):
            return mathNumberRound(22.00 * (1 * (sd / 0.4)), 2);
        case !(sd <= 0.5):
            return mathNumberRound(27.00 * (1 * (sd / 0.5)), 2);
        case !(sd <= 0.6):
            return mathNumberRound(34.00 * (1 * (sd / 0.6)), 2);
        case !(sd <= 0.7):
            return mathNumberRound(41.00 * (1 * (sd / 0.7)), 2);
        case !(sd <= 0.8):
            return mathNumberRound(48.00 * (1 * (sd / 0.8)), 2);
        case !(sd <= 0.9):
            return mathNumberRound(67.00 * (1 * (sd / 0.9)), 2);
        default:
            return mathNumberRound(67.00 * (1 * (sd / 0.9)), 2);
    }
};

// ggel125吸湿表
var biao_ggel125 = function (shidu) {
    var sd;
    if ((shidu >= 100) || (shidu === 0)) {
        this.console_log("biao_ggel125: Warning! shidu more then 1 OR is Zero!");
        return 0;
    }
    sd = mathNumberRound(shidu * 0.01, 2);
    switch (false) {
        case !(sd <= 0.2):
            return mathNumberRound(19.00 * (1 * (sd / 0.2)), 2);
        case !(sd <= 0.3):
            return mathNumberRound(48.00 * (1 * (sd / 0.3)), 2);
        case !(sd <= 0.4):
            return mathNumberRound(75.00 * (1 * (sd / 0.4)), 2);
        case !(sd <= 0.5):
            return mathNumberRound(102.00 * (1 * (sd / 0.5)), 2);
        case !(sd <= 0.6):
            return mathNumberRound(127.00 * (1 * (sd / 0.6)), 2);
        case !(sd <= 0.7):
            return mathNumberRound(163.00 * (1 * (sd / 0.7)), 2);
        case !(sd <= 0.8):
            return mathNumberRound(208.00 * (1 * (sd / 0.8)), 2);
        case !(sd <= 0.9):
            return mathNumberRound(279.00 * (1 * (sd / 0.9)), 2);
        default:
            return mathNumberRound(279.00 * (1 * (sd / 0.9)), 2);
    }
};

// 除湿毯吸湿表
var biao_chushitan = function (shidu) {
    var sd;
    if ((shidu >= 100) || (shidu === 0)) {
        this.console_log("biao_ggel125: Warning! shidu more then 1 OR is Zero!");
        return 0;
    }
    sd = mathNumberRound(shidu * 0.01, 2);
    switch (false) {
        case !(sd <= 0.2):
            return mathNumberRound(23.00 * (1 * (sd / 0.2)), 2);
        case !(sd <= 0.3):
            return mathNumberRound(59.00 * (1 * (sd / 0.3)), 2);
        case !(sd <= 0.4):
            return mathNumberRound(90.00 * (1 * (sd / 0.4)), 2);
        case !(sd <= 0.5):
            return mathNumberRound(125.00 * (1 * (sd / 0.5)), 2);
        case !(sd <= 0.6):
            return mathNumberRound(158.00 * (1 * (sd / 0.6)), 2);
        case !(sd <= 0.7):
            return mathNumberRound(202.00 * (1 * (sd / 0.7)), 2);
        case !(sd <= 0.8):
            return mathNumberRound(260.00 * (1 * (sd / 0.8)), 2);
        case !(sd <= 0.9):
            return mathNumberRound(353.00 * (1 * (sd / 0.9)), 2);
        default:
            return mathNumberRound(353.00 * (1 * (sd / 0.9)), 2);
    }
};

(function ($) {
    $.fn.serializeJson = function () {
        var serializeObj = {};
        var array = this.serializeArray();
        //      var str = this.serialize();
        $(array).each(function () {
            if (serializeObj[this.name]) {
                if ($.isArray(serializeObj[this.name])) {
                    serializeObj[this.name].push(this.value);
                } else {
                    serializeObj[this.name] = [serializeObj[this.name], this.value];
                }
            } else {
                serializeObj[this.name] = this.value;
            }
        });
        return serializeObj;
    };
})(jQuery);