// VALIDATION CODES
jQuery(document).ready(function(){
	
	jQuery('.wpcf7-validates-as-required').addClass('required');
	jQuery('.wpcf7-email').addClass('email2');
	jQuery('.wpcf7-checkbox.wpcf7-validates-as-required input').addClass('required');
	
	jQuery('form.wpcf7-form').each(function(){
		jQuery(this).addClass(jvcf7p_optionValues['jvcf7p_invalid_field_design']);
		jQuery(this).addClass(jvcf7p_optionValues['jvcf7p_show_label_error']);
		jQuery('.wpcf7-file').attr('accept','');
		jQuery(this).validate();
	});

	jQuery('.wpcf7-form-control.wpcf7-submit').click(function(e){ 
		$jvcfpValidation 	=	jQuery(this).parents('form');		
		if (!jQuery($jvcfpValidation).valid()){
			e.preventDefault();
			$topErrorPosition 		= jQuery('.wpcf7-form-control.error').offset().top;
			$topErrorPosition		= parseInt($topErrorPosition) - 100;
			jQuery('body, html').animate({scrollTop:$topErrorPosition}, 'normal');
		}
	});
	
	jQuery('[class*="JVmin-"]').each(function(){ // Min
		allClasser = jQuery(this).attr('class');
		processingClass 		= allClasser.match(/JVmin-[0-9]+/);
		var processingClassSplit	= processingClass.toString().split("-");
		jQuery(this).attr('min',processingClassSplit[1]);
	});
	
	jQuery('[class*="JVmax-"]').each(function(){ // Max
		allClasser = jQuery(this).attr('class');
		processingClass 		= allClasser.match(/JVmax-[0-9]+/);
		var processingClassSplit	= processingClass.toString().split("-");
		jQuery(this).attr('max',processingClassSplit[1]);
	});
	
	jQuery('[class*="JVminlength-"]').each(function(){ // Minlength
		allClasser = jQuery(this).attr('class');
		processingClass 		= allClasser.match(/JVminlength-[0-9]+/);
		var processingClassSplit	= processingClass.toString().split("-");
		jQuery(this).rules( "add", {minlength: processingClassSplit[1]});
	});
	
	jQuery('[class*="JVmaxlength-"]').each(function(){ // Maxlength
		allClasser = jQuery(this).attr('class');
		processingClass 			= allClasser.match(/JVmaxlength-[0-9]+/);
		var processingClassSplit	= processingClass.toString().split("-");
		jQuery(this).rules( "add", {maxlength: processingClassSplit[1]});
	});
	
	jQuery('[class*="JVrangelength-"]').each(function(){ // rangelength
		allClasser = jQuery(this).attr('class');
		processingClass 			= allClasser.match(/JVrangelength-[0-9]+-[0-9]+/);
		var processingClassSplit	= processingClass.toString().split("-");
		jQuery(this).rules( "add", {rangelength: [processingClassSplit[1],processingClassSplit[2] ]});
	});
	
	jQuery('[class*="JVrange-"]').each(function(){ // range
		allClasser = jQuery(this).attr('class');
		processingClass 			= allClasser.match(/JVrange-[0-9]+-[0-9]+/);
		var processingClassSplit	= processingClass.toString().split("-");
		jQuery(this).rules( "add", {range: [processingClassSplit[1],processingClassSplit[2] ]});
	});
	
	jQuery('[class*="JVequalTo-"]').each(function(){ // range
		allClasser = jQuery(this).attr('class');
		processingClass 			= allClasser.match(/JVequalTo-[a-zA-Z0-9-_]+/);
		var processingClassSplit	= processingClass.toString().split("To-");
		jQuery(this).rules( "add", {equalTo: "[name="+processingClassSplit[1]+"]" });
	});
	
	jQuery('[class*="JVextension-"]').each(function(){ // range
		allClasser = jQuery(this).attr('class');
		processingClass 				= allClasser.match(/JVextension-[a-zA-Z0-9-_]+/);
		var processingClassSplit		= processingClass.toString().split("extension-");
		var processingExtensionSplit	= processingClassSplit[1].toString().split("_");
		var extnesions 					= processingExtensionSplit.join('|');
		jQuery(this).rules( "add", {extension: extnesions });		
	});
		
	jQuery('[class*="JVrequireGroup-"]').each(function(){ // range
		allClasser = jQuery(this).attr('class');
		processingClass 				= allClasser.match(/JVrequireGroup-[a-zA-Z0-9-_]+/);
		var processingClassSplit		= processingClass.toString().split("requireGroup-");
		var processingCountClassSplit	= processingClassSplit[1].toString().split("_");
		jQuery(this).addClass(processingCountClassSplit[1]);
		jQuery(this).rules( "add", {require_from_group: [processingCountClassSplit[0], "."+processingCountClassSplit[1]] });		
	});

	jQuery('input.checkUsername').each(function(){
		jQuery(this).rules( "add", {
			"remote": {
				'url'  : jvcf7p_ajax_url,
				'type' : "post",
				'data' : {
					"method":"checkUsername",
					"fieldname" : jQuery(this).attr('name')
				}
			}
		});
	});

	jQuery('input.customCode').each(function(){
		jQuery(this).rules( "add", {
			"remote": {
				'url'  : jvcf7p_ajax_url,
				'type' : "post",
				'data' : {
					"method":"customCode",
					"fieldname" : jQuery(this).attr('name')
				}
			}
		});
	});

	// EMAIL VERIFICATION
	jQuery('input.emailVerify').each(function(){		
		elementName  	= jQuery(this).attr('name');
		elementSize		= jQuery(this).outerWidth();
		saveButton 		= '<span style="width:'+elementSize+'px;" class="verification_code_holder"><input type="text" name="email-verification-code" data-for="'+elementName+'" class="wpcf7-form-control wpcf7-text verifyEmailCode required" value="" placeholder="'+jvcf7p_optionValues["jvcf7p_verify_code_field_placeholder"]+'" /><input type="button" class="jvcf7_verify_email_btn" value="Send Code" data-for="'+elementName+'" id="jvcf7_verify_email_btn" style="display:none;" /></span>';
		jQuery(saveButton).insertAfter(this);

		
		jQuery('.verifyEmailCode').rules( "add", {
			'required':true,
			"remote": {
				'url'  : jvcf7p_ajax_url,
				'type' : "post",
				'data' : {
					"method":"verifyEmailCode",
					"fieldname" : "email-verification-code",
					"email" 	: function (){return jQuery('input[name='+elementName+']').val();}

				}
			}
		});
		jQuery('#jvcf7_verify_email_btn').show();
	});

	jQuery('input.jvcf7_verify_email_btn').click(function(){
			 fieldname = jQuery(this).attr('data-for');
			 if (jQuery("input[name="+fieldname+"]").valid() == true){
				 jQuery.ajax({
				 	url  : jvcf7p_ajax_url,
				 	type : "post",
					data : {
								"method"			: "sendVerificationCode",
								"email" 			: jQuery("input[name="+fieldname+"]").val()
							 },
				    beforeSend: function() {
				        jQuery('#jvcf7_verify_email_btn').removeClass('valid');
				        jQuery('#jvcf7_verify_email_btn').attr('value','Sending..');			        
				    },
				    success: function(data) {
				      	jQuery('#jvcf7_verify_email_btn').removeClass('valid');
				      	jQuery('#jvcf7_verify_email_btn').attr('value','Resend Code');			      	
					},
				    error: function() {
				    	jQuery('#jvcf7_verify_email_btn').removeClass('valid');
				    	jQuery('#jvcf7_verify_email_btn').attr('value','Error !');			    	
				    }
				  });
			} else {
				jQuery("input[name="+fieldname+"]").focus();
			}

	});

	// EOF EMAIL VERIFICATION

});

jQuery.validator.addMethod("email2", 
    function(value, element) {
        return /^[-a-z0-9~!$%^&*_=+}{\'?]+(\.[-a-z0-9~!$%^&*_=+}{\'?]+)*@([a-z0-9_][-a-z0-9_]*(\.[-a-z0-9_]+)*\.(aero|arpa|biz|com|coop|edu|gov|info|int|mil|museum|name|net|org|pro|travel|mobi|[a-z][a-z])|([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}))(:[0-9]{1,5})?$/i.test(value);
    },"Please enter a valid email address"
);

jQuery.validator.addMethod("letters_space", function(value, element) {
  return this.optional(element) || /^[a-zA-Z ]*$/.test(value);
}, "Letters and space only");

jQuery.extend(jQuery.validator.messages, {
    required: jvcf7p_optionValues['jvcf7p_msg_required'],
    email: jvcf7p_optionValues['jvcf7p_msg_email'],
	email2: jvcf7p_optionValues['jvcf7p_msg_email'],
    url: jvcf7p_optionValues['jvcf7p_msg_url'],
    date: jvcf7p_optionValues['jvcf7p_msg_date'],
    dateISO: jvcf7p_optionValues['jvcf7p_msg_dateISO'],
    number: jvcf7p_optionValues['jvcf7p_msg_number'],
    digits: jvcf7p_optionValues['jvcf7p_msg_digits'],
	alphanumeric: jvcf7p_optionValues['jvcf7p_msg_alpha_numeric'],
	lettersonly: jvcf7p_optionValues['jvcf7p_msg_letters_only'],
	letters_space: jvcf7p_optionValues['jvcf7p_msg_letters_space'],
    creditcard: jvcf7p_optionValues['jvcf7p_msg_creditcard'],
	phoneUS: jvcf7p_optionValues['jvcf7p_msg_phoneUS'],
    equalTo: jvcf7p_optionValues['jvcf7p_msg_equalTo'],
    extension: jvcf7p_optionValues['jvcf7p_msg_extension'],
	require_from_group: jvcf7p_optionValues['jvcf7p_msg_require_from_group'],
    maxlength: jQuery.validator.format(jvcf7p_optionValues['jvcf7p_msg_maxlength']),
    minlength: jQuery.validator.format(jvcf7p_optionValues['jvcf7p_msg_minlength']),
    rangelength: jQuery.validator.format(jvcf7p_optionValues['jvcf7p_msg_rangelength']),
    range: jQuery.validator.format(jvcf7p_optionValues['jvcf7p_msg_range']),
    max: jQuery.validator.format(jvcf7p_optionValues['jvcf7p_msg_max']),
    min: jQuery.validator.format(jvcf7p_optionValues['jvcf7p_msg_min']),
	iban: jQuery.validator.format(jvcf7p_optionValues['jvcf7p_msg_iban']),
	bic: jQuery.validator.format(jvcf7p_optionValues['jvcf7p_msg_bic'])
});